job "dummy-synapse" {
	datacenters = ["neptune"]
	type = "service"
	
	group "synapse" {
		count = 1

		constraint {
			attribute = "${attr.unique.hostname}"
			operator = "="
			value = "cariacou"
		}

		network {
			port "http" {
				to = 8008
			}
		}

		task "synapse" {
			driver = "docker"
			config {
				image = "matrixdotorg/synapse:v1.48.0"
				ports = [ "http" ]
        volumes = [
          "/mnt/ssd/dummy-synapse:/data",
        ]
			}
		}


		service {
			port = "http"
			tags = [
				"tricot matrix.home.adnab.me 100",
				"tricot matrix.home.adnab.me:443 100",
				"tricot matrix.home.adnab.me:8448 100",
        "tricot-add-header Access-Control-Allow-Origin *",
			]
			check {
				type = "http"
				path = "/"
				interval = "10s"
				timeout = "2s"
			}
		}
	}
}
